%global xfceversion 4.14

Name:           xfce4-notifyd
Version:        0.6.1
Release:        1
Summary:        Simple, visually-appealing notification daemon for Xfce
License:        GPLv2
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/applications/xfce4-notifyd
Source0:        http://archive.xfce.org/src/apps/%{name}/0.6/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.42.0
BuildRequires:  gtk3-devel >= 3.20.0
BuildRequires:  libnotify-devel >= 0.7.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libxfce4util-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  systemd
Requires:       dbus
Requires:       hicolor-icon-theme
Provides:       desktop-notification-daemon

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce 
that implements the freedesktop.org desktop notifications specification.
Features:
* Themable using the GTK+ theming mechanism
* Visually appealing: rounded corners, shaped windows
* Supports transparency and fade effects

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-config.desktop

%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd/
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/applications/xfce4-notifyd-config.desktop
%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifications.service
%{_datadir}/icons/hicolor/48x48/apps/xfce4-notifyd.png
%{_datadir}/themes/Default/xfce-notify-4.0/
%{_datadir}/themes/Smoke/
%{_datadir}/themes/ZOMG-PONIES!/
%{_datadir}/themes/Bright/
%{_datadir}/themes/Retro/
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man1/xfce4-notifyd-config.1.*
%{_userunitdir}/xfce4-notifyd.service

%changelog
* Wed Jul 15 2020 <dillon.chen@turbolinux.com.cn> - 0.6.1-1
- Init package
